



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>2018年Web前端自学路线</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">2018年Web前端自学路线</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-17 00:31:47 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<blockquote><p>本文最初发表于<a href="" rel="external nofollow noreferrer">博客园</a>，并在<a href="https://github.com/smyhvae/Web" rel="external nofollow noreferrer">GitHub</a>上持续更新<strong>前端的系列文章</strong>。欢迎在GitHub上关注我，一起入门和进阶前端。</p></blockquote>
<blockquote><p>以下是正文。</p></blockquote>
<h2>Web前端入门的自学路线</h2>
<blockquote><p>新手入门前端，需要学习的<strong>基础内容</strong>有很多，如下。</p></blockquote>
<p>一、HTML、CSS基础、JavaScript语法基础。学完基础后，可以仿照电商网站（例如京东、小米）做首页的布局。</p>
<p>二、JavaScript语法进阶。包括：作用域和闭包、this和对象原型等。相信我，JS语法，永远是面试中最重要的部分。</p>
<p>三、jQuery、Ajax等。</p>
<p>四、ES6语法。这部分属于JS新增的语法，面试必问。其中，关于promise、async等内容要尤其关注。</p>
<p>五、HTML5和CSS3。要熟悉其中的新特性。</p>
<p>六、canvas。面试时，有的公司不一定会问canvas，靠运气。如果时间不够，这部分的内容可以先不学。</p>
<p>七、移动Web开发、Bootstrap等。要注意移动开发中的适配和兼容性问题。</p>
<p>八、前端框架：Vue.js和React。这两个框架至少要会一个。入门时，建议先学Vue.js，上手相对容易。</p>
<p>九、Node.js。属于加分项，如果时间不够，可以先不学，但至少要知道 node 环境的配置。</p>
<p>十、自动化工具：构建工具 Webpack、构建工具 gulp、CSS 预处理器 Sass 等。注意，Sass 比 Less 用得多，gulp 比 grunt 用得多。</p>
<p>十一、前端综合：HTTP协议、跨域通信、安全问题（CSRF、XSS）、浏览器渲染机制、异步和单线程、页面性能优化、防抖动（Debouncing）和节流阀（Throtting）、lazyload、前端错误监控、虚拟DOM等。</p>
<p>十二、编辑器相关。Sublime Text 是每个学前端的人都要用到的编辑器。另外，前端常见的IDE有两个：WebStorm 和 Visual Studio Code。WebStorm什么都好，可就是太卡顿；VS Code就相对轻量很多。个人总结一下：新手一般用 WebStorm，入门之后，用 VS Code 的人更多。</p>
<h2>推荐的学习视频</h2>
<blockquote><p>我看过的学习视频，多的数不清。传智播客、尚硅谷、慕课网等等，这些只是冰山一角。下面推荐一些。</p></blockquote>
<p>温馨提示：不一定是从头到尾看，可以选择性地看。另外，要倍速播放，我一般是用1.5倍的速度播放。</p>
<h3>传智播客</h3>
<p>传智黑马2018 Web前端全套：</p>
<ul><li><p>学习路线图：<a href="http://bbs.itheima.com/thread-391250-1-1.html" rel="external nofollow noreferrer">http://bbs.itheima.com/thread-391250-1-1.html</a></p></li>
<li><p>视频资源：<a href="http://www.itcast.cn/news/20180209/11421176192.shtml" rel="external nofollow noreferrer">http://www.itcast.cn/news/20180209/11421176192.shtml</a></p></li>
<li><p>官方视频库：<a href="http://yun.itheima.com/course/c135.html" rel="external nofollow noreferrer">http://yun.itheima.com/course/c135.html</a></p></li></ul>
<p>PS：上面这三个链接，指向的的是同一个学习资源。</p>
<p>黑马的视频很新，可以找官方的QQ要配套的PPT和源码。</p>
<h3>尚硅谷</h3>
<p>尚硅谷 2018 Web前端全套：</p>
<ul><li><p>视频资源：<a href="https://www.52pojie.cn/thread-688171-1-1.html" rel="external nofollow noreferrer">https://www.52pojie.cn/thread-688171-1-1.html</a></p></li>
<li><p>官方视频库：<a href="http://www.gulixueyuan.com/course/explore/front" rel="external nofollow noreferrer">http://www.gulixueyuan.com/course/explore/front</a></p></li></ul>
<p>PS：上面这两个链接，指向的的是同一个学习资源。</p>
<p>尚硅谷的视频里，讲JS语法和ES6的部分很不错。</p>
<h2>推荐的技术博客</h2>
<ul><li><p><a href="http://www.ruanyifeng.com/blog/" rel="external nofollow noreferrer">阮一峰</a></p></li>
<li><p><a href="http://www.zhangxinxu.com/wordpress/" rel="external nofollow noreferrer">张鑫旭</a></p></li></ul>
<h2>推荐的链接</h2>
<p>待更新。</p>
<p>PS：今天先写到这里。本文内容不定期更新。</p>
<h2>我的公众号</h2>
<p>想学习<strong>代码之外的软技能</strong>？不妨关注我的微信公众号：<strong>生命团队</strong>（id：<code>vitateam</code>）。</p>
<p>扫一扫，你将发现另一个全新的世界，而这将是一场美丽的意外：</p>
<p><img referrerpolicy="no-referrer"src="http://img.smyhvae.com/2016040102.jpg"></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/oqv32418.html">App乱世，3721离我们有多远</a>
		</li>
						<li><a href="https://www.batexi.com/a/rql4l219.html">Atitit&period;实现反向代理&lpar;1&rpar;----url rewrite  配置and内容改写 and -绝对路径链接改写 java php</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2oxgw9.html">&lbrack;IIS&rsqb;&lbrack;ASP&period;NET&rsqb;&OpenCurlyDoubleQuote;拒绝访问临时目录&rdquo;的解决方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdzgrd8.html">JetBrains公司介绍（Java、Python、PHP、Ruby、前端和代码测试与重构的IDE）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1z0e659.html">Mongo客户端</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1ezloq.html">scip学习</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy141ygq.html">higncharts 编辑Highcharts&period;com链接</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ey5dkj9.html">javascript this的一些误解</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkpwxv8.html">&lbrack;Swift&rsqb;LeetCode530&period; 二叉搜索树的最小绝对差 &vert; Minimum Absolute Difference in BST</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7ooggg8.html">【sql注入】简单实现二次注入</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2mzxz9.html">Another Meaning &lpar;KMP &plus; DP&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rzjjm9.html">swift杂记</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ppj7e49.html">opencv附加依赖性选择，提示找不到opencv&lowbar;world400d&period;dll</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7enkve9.html">nginx在centos &amp;amp&semi; ubuntu上的安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rnmkd7q.html">【洛谷】NOIP提高组模拟赛Day1【组合数学】【贪心&plus;背包】【网络流判断是否满流以及流量方案】</a>
		</li>
						<li><a href="https://www.batexi.com/a/93pe6mn8.html">事务的特性&mdash;&mdash;ACID</a>
		</li>
						<li><a href="https://www.batexi.com/a/q15znj59.html">zabbix 布署实践【8 监控windows server】</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy2rnpx9.html">poj3041 Asteroids 匈牙利算法 最小点集覆盖问题&equals;二分图最大匹配</a>
		</li>
						<li><a href="https://www.batexi.com/a/q44kg55q.html">Linux ssh其他服务器</a>
		</li>
						<li><a href="https://www.batexi.com/a/8km25039.html">省略名词&colon; 从 Please find the attached 说起</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/93yrod08.html">php 制作圆形图片</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnj6jng8.html">new Image的API</a>
			</li>
						<li><a href="https://www.batexi.com/a/950l0p08.html">总结的Javascript插件</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jejlw8.html">Linux centos 7 安装NFS服务</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv1p2ryq.html">【Python】 linux中python命令的命令行参数</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zopy31q.html">【Python】 零碎知识积累 II</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxkj25e8.html">java性能调优---------------------JVM调优方案</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jz6evg8.html">java使用io创建文件与删除文件的工具类</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxkjlvj8.html">Jmeter返回参数值写入文件《一》</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pd6xe79.html">beta冲刺4</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
